libzypp 17.37.10

zypp::pool Namespace Reference

## Classes
class | ByIdent
| Main filter selecting PoolItems by `name` and `kind`. More...
struct | ByPoolItem
| Pool internal filter skiping invalid/unwanted PoolItems. More...
struct | P_Select2nd
| std::_Select2nd More...
class | PoolImpl
struct | PoolStats
| Functor counting ResObjects per Kind. More...
struct | PoolTraits

## Functions
std::ostream & | operator<< (std::ostream &str, const PoolStats &obj)
std::ostream & | operator<< (std::ostream &str, const PoolStats &obj) ZYPP_API
| Stream output.
template<class TIterator>
std::ostream & | dumpPoolStats (std::ostream &str, TIterator begin_r, TIterator end_r)
| Convenience to count and print out the number of ResObjects per Kind in a container.

## Function Documentation

## ◆ operator<<() [1/2]

std::ostream & zypp::pool::operator<< | ( | std::ostream & | str,
|  | const PoolStats & | obj )
| related

Definition at line 31 of file PoolStats.cc.